import { Logger } from '@serverless-cd/core';
export interface IProps {
    resource?: string;
    deployFile?: string;
    deployArgs?: string[];
    envName?: string;
    debugMode?: boolean;
    workspace: string;
}
declare class Deploy {
    private logger;
    private props;
    constructor(props: IProps, logger: Logger);
    run(): Promise<void>;
}
export default Deploy;
